import type { Context } from "hono";
import { softDeletePeriodicExpense } from "../expenses.service";

export async function softDeletePeriodicExpenseHandler(c: Context) {
  const id = Number(c.req.param("id"));
  await softDeletePeriodicExpense(id);
  return c.json({ success: true });
}
